import pysuperconductor.os_gap_calc
import numpy


def test_gap_integrand_function():
	actual = pysuperconductor.os_gap_calc.gap_integrand_function(10, 1, 5, 2)
	numpy.testing.assert_almost_equal(
		actual, 0.04471214382962651,
		decimal=7, err_msg='gap integrand function is off', verbose=True
	)


def test_gap_integral():
	actual = pysuperconductor.os_gap_calc.gap_integral(1, 5, 2, 10)
	numpy.testing.assert_almost_equal(
		actual, 1.390972295468881,
		decimal=7, err_msg='gap integral is off', verbose=True
	)
